# CONSOLE LOGGING
handlers=java.util.logging.ConsoleHandler
java.util.logging.ConsoleHandler.level=ALL

# FILE LOGGING
# Uncomment the following "handlers" line and comment the "handlers" line above.
# handlers=java.util.logging.FileHandler
java.util.logging.FileHandler.level=ALL
java.util.logging.FileHandler.pattern=dmx.log
java.util.logging.FileHandler.formatter=java.util.logging.SimpleFormatter
java.util.logging.FileHandler.append=true

# You can also log to console and file at the same time.
# Just define both handlers in one "handlers" line, separated by whitespace or comma.


# GLOBAL LOG LEVEL
# Use of one of these values:
#     WARNING - high level, sparse logging
#     INFO    - mid level, the default
#     FINE    - lower level, verbose logging
# Enabling logging at a given level also enables logging at all higher levels.
# Their are two additional levels:
#     ALL     - logging all messages
#     OFF     - turn off logging
.level=INFO

# PER-CLASS LOG LEVELS
# State the fully qualified class name and add ".level", e.g.:
# systems.dmx.core.impl.CoreServiceImpl.level=WARNING
# systems.dmx.core.impl.TransactionFactory.level=FINE
# systems.dmx.core.impl.ValueIntegrator.level=FINE
# systems.dmx.core.impl.WebPublishingService.level=FINE
# systems.dmx.core.impl.WebSocketConnectionImpl.level=FINE
# systems.dmx.accesscontrol.AccessControlPlugin.level=FINE
# systems.dmx.workspaces.WorkspacesPlugin.level=OFF
# systems.dmx.files.FilesPlugin.level=FINE
